Page MenuHomePhabricator

Clean up usages of asserting vector getters in Type
ClosedPublic

Authored by ctetreau on Apr 1 2020, 4:57 PM.

Details

Summary

Remove usages of asserting vector getters in Type in preparation for the
VectorType refactor. The existence of these functions complicates the
refactor while adding little value.

Diff Detail

Event Timeline

ctetreau created this revision.Apr 1 2020, 4:57 PM
Herald added a project: Restricted Project. · View Herald TranscriptApr 1 2020, 4:57 PM
ctetreau updated this revision to Diff 254608.Apr 2 2020, 1:24 PM

Update to mention that this is NFC

efriedma accepted this revision.Apr 3 2020, 1:41 PM

LGTM

This revision is now accepted and ready to land.Apr 3 2020, 1:41 PM
ctetreau updated this revision to Diff 255847.Apr 7 2020, 4:04 PM

rebase, mention arm in commit message

This revision was automatically updated to reflect the committed changes.